Skip to main content

Send bulk SMS (alias)

POST 

https://core-prod.malipopay.co.tz/api/v1/sms/bulk-sms

Alias endpoint for POST /sms/bulk. Maintained for backward compatibility.

Request

Bodyrequired

    senderstringrequired
    Example: MALIPOPAY
    phoneNumberstring[]required

    List of recipient phone numbers

    Example: ["255742200105","255684118011"]
    messagestringrequired
    Example: Bulk SMS from MalipoPay!

Responses

Bulk SMS queued successfully

Schema
    successboolean
    Example: true
    codeinteger
    Example: 2000
    messagestring
    Example: SMS sent successfully
    dataobject

    SMS result data

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/sms/bulk-sms' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{
"sender": "MALIPOPAY",
"phoneNumber": [
"255742200105",
"255684118011"
],
"message": "Bulk SMS from MalipoPay!"
}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Body required
{
  "sender": "MALIPOPAY",
  "phoneNumber": [
    "255742200105",
    "255684118011"
  ],
  "message": "Bulk SMS from MalipoPay!"
}
Response

Click the Send API Request button above and see the response here!